Send List
curl --request POST \
--url https://api.zapkey.io/message/sendList/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"number": "<string>",
"options": {
"delay": 123
},
"listMessage": {
"title": "<string>",
"description": "<string>",
"buttonText": "<string>",
"footerText": "<string>",
"sections": [
{
"title": "<string>",
"rows": [
{
"title": "<string>",
"description": "<string>",
"rowId": "<string>"
}
]
}
]
}
}
'import requests
url = "https://api.zapkey.io/message/sendList/{instance}"
payload = {
"number": "<string>",
"options": { "delay": 123 },
"listMessage": {
"title": "<string>",
"description": "<string>",
"buttonText": "<string>",
"footerText": "<string>",
"sections": [
{
"title": "<string>",
"rows": [
{
"title": "<string>",
"description": "<string>",
"rowId": "<string>"
}
]
}
]
}
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: '<string>',
options: {delay: 123},
listMessage: {
title: '<string>',
description: '<string>',
buttonText: '<string>',
footerText: '<string>',
sections: [
{
title: '<string>',
rows: [{title: '<string>', description: '<string>', rowId: '<string>'}]
}
]
}
})
};
fetch('https://api.zapkey.io/message/sendList/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"remoteJid": "553198296801@s.whatsapp.net",
"fromMe": true,
"id": "BAE5096096C5E261"
},
"message": {
"listMessage": {
"title": "List Title",
"description": "List description",
"buttonText": "Click Me",
"listType": "PRODUCT_LIST",
"sections": [
{
"title": "Section title",
"rows": [
{
"title": "Row 1",
"description": "Row 1 description",
"rowId": "1"
},
{
"title": "Row 2",
"description": "Row 2 description",
"rowId": "2"
}
]
},
{
"title": "Section 2",
"rows": [
{
"title": "Row 1",
"description": "Row 1 description",
"rowId": "1"
},
{
"title": "Row 2",
"description": "Row 2 description",
"rowId": "2"
}
]
}
],
"contextInfo": {}
}
},
"messageTimestamp": "1717782429",
"status": "PENDING"
}Enviar Mensagens
Send List
Send List
POST
/
message
/
sendList
/
{instance}
Send List
Authorizations
Your authorization key header
Path Parameters
ID of the instance to connect
Body
application/json
Response
201 - application/json
Created
The message content, which may include various types of messages like text, images, list, etc.
Show child attributes
Show child attributes
The key of the message, which identifies the message in the chat.
Show child attributes
Show child attributes
The timestamp of the message, represented as a string.
The status of the message, such as sent, received, or pending.